schema_version: runtime-live-work-display-proof-v1
generated_at: "2026-05-21T18:21:50Z"
source: "chunk-000296-final-proof"
mode: "browser_attempt_plus_manual_component_review"
chunk: "000296"
status: "partial_pass_with_browser_harness_blocker"

browser_attempt:
  command: "node ai/runtime/dist/cli.js testing runtime-action-panel-browser-smoke --role-work-matrix-proof --work-visibility-foundation-proof --chunk-id 000296 --chunk-path ai/chunks/active/chunk-000296-runtime-command-wrapper-live-work-visibility.md --report ai/reports/report-000296-live-work-display-browser-proof.json --timeout-ms 900000 --json"
  wrapped_command_status: "failed"
  report_path: "ai/reports/report-000296-live-work-display-browser-proof.json"
  reached_authenticated_action_panel: true
  services_reachable:
    backend_health: true
    frontend_dev_server: true
  observed_before_failure:
    - "Runtime Action Panel browser page opened"
    - "authenticated admin browser reached Runtime Action Panel"
    - "backend-owned socket diagnostics show at least one admin device"
    - "initial Runtime work step is visible in browser UI"
    - "browser observed runtime_work_step socket invalidation"
    - "browser GraphQL refetch observed after socket invalidation"
  blocker:
    classification: "pre_existing_browser_harness_marker_rendering_assertion"
    message: "GraphQL refetch occurred, but the invalidation marker was not rendered."
    impact: "The browser harness stopped before executing the normalized Live Work display proof block."
  screenshot_available: false
  screenshot_reason: "The existing Runtime browser-smoke runner emitted a markdown/json report but did not save a screenshot before failing on the invalidation-marker assertion."

manual_rendering_review:
  files_reviewed:
    - "apps/frontend/src/app/features/admin-health/components/admin-runtime-health-page.component.html"
    - "apps/frontend/src/app/features/admin-health/components/admin-runtime-health-page.component.spec.ts"
    - "ai/runtime/test/runtime-test.mjs"
    - "ai/runtime/src/modules/health/work-session.ts"
  rendered_section:
    testid: "live-work-session"
    heading_text: "Live Work"
    description_text: "Runtime-owned normalized work display; diagnostics do not count as accepted work."
    card_testid: "live-work-display-card"
    card_attributes:
      - "data-live-work-kind"
      - "data-live-work-trust"
    empty_text: "No active Runtime work"
    debug_controls:
      - "Debug details"
      - "Runtime projection debug"

proof_points:
  registered_work_accepted:
    status: "passed_by_component_and_runtime_tests"
    evidence:
      - "Component fixture renders kind=registered_work trust=accepted with Developer · Coding and nested Runtime Executor · Testing child session."
      - "Runtime broad tests passed with registered command-wrapper parent reuse and completed exec_command child evidence."
    rendered_text_examples:
      - "Developer · Coding · stale"
      - "Runtime Executor · Testing · active"
  unregistered_activity_diagnostic:
    status: "passed_by_component_test_and_browser_harness_logic"
    evidence:
      - "Component fixture renders kind=unregistered_activity_diagnostic trust=diagnostic_only acceptedAsWork=false."
      - "Browser smoke proof code asserts Diagnostic Only / Not registered text for hosted Codex activity when reached."
    rendered_text_examples:
      - "Codex tool activity detected · Not registered"
      - "Diagnostic Only"
      - "Visible diagnostic only; does not satisfy work-registration requirements."
  unsupported_concurrency_single_card:
    status: "passed_by_component_and_runtime_tests"
    evidence:
      - "Component fixture renders one process_fanout item and one unsupported_concurrency item as distinct kinds."
      - "Runtime tests assert same-role process fan-out does not set unsupported_parallel_roles_detected."
      - "Runtime tests assert true role-parallel fixture renders unsupported_concurrency with trust=unsupported_model."
    rendered_text_examples:
      - "Task/process fan-out detected"
      - "Unsupported concurrent work detected"
  parent_context_and_foreground_child:
    status: "passed_by_component_and_runtime_tests"
    evidence:
      - "Template renders item.sessions inside live-work-child-track under the parent card."
      - "Child heading text is Foreground child work."
      - "Runtime tests assert process fan-out and parent/child projection are separate from role parallelism."
    rendered_text_examples:
      - "Foreground child work"
      - "Runtime Executor · Testing · active"
  wrapper_display_transparency:
    status: "passed_by_runtime_tests"
    evidence:
      - "Runtime tests assert runtime.command.parent wrapper-only session remains in active_task_processes for audit/debug."
      - "Runtime tests assert runtime.command.parent does not appear as a visible live_work_display_item when wrapped exec_command evidence exists."
      - "Runtime tests assert completed exec_command appears as Hosted Shell accepted registered work."
    rendered_text_examples:
      - "Hosted Shell"
      - "exec_command"
  raw_uuid_hidden_from_main_ui:
    status: "passed_by_template_review"
    evidence:
      - "Main card body renders actionTitle, actionBody, warning, child role/category/status, action meta, and debug summary."
      - "debugSessionIds are rendered only inside details.live-work-debug after the Debug details summary."
    rendered_text_examples:
      - "Debug details"
      - "Runtime session ids:"
  terminal_grace_clear_status:
    status: "passed_by_projection_logic_and_component_filter"
    evidence:
      - "Runtime projection sets terminal_age_seconds and live_visible for completed/failed items during grace period."
      - "Component fixture verifies expired completed terminal item with liveVisible=false is not rendered as an active card."
      - "Active indicator excludes completed, failed, stale, context_open, diagnostic_only, and unsupported_model states."
    rendered_text_examples:
      - "Runtime Supervisor · Supervisor · completed"
  diagnostic_does_not_activate_role:
    status: "passed_by_component_test"
    evidence:
      - "Component test expects isLiveWorkDisplayActive(diagnostic_only item) to be false via hasActiveLiveWork false for the fixture."
      - "Component tests separately assert QA passed/latest-completed evidence does not mark QA active."
    rendered_text_examples:
      - "Diagnostic Only"
  supported_model_not_parallel_roles:
    status: "passed_by_runtime_tests"
    evidence:
      - "Runtime tests assert process_fanout_detected=true and unsupported_parallel_roles_detected=false for same-role task/process fan-out."
      - "Runtime tests assert unsupported_parallel_roles_detected=true only for the true role-parallel fixture."
      - "Warnings use supportedModel=single_parent_foreground_child."
    rendered_text_examples:
      - "Process fan-out is visible under one parent context; true parallel roles are not supported."
      - "Current model supports one parent role plus foreground child work; true parallel roles are not supported."

validation_support:
  summary_validate: "passed"
  qa_evidence_check: "passed_with_conditional_final_clean_warning"
  state_journal_validate: "passed_with_existing_authority_boundary_warnings"
  health_snapshot_refresh: "passed_runtime_healthy_validation_degraded_by_bounded_maintenance"
  full_validation: "passed_command_level_degraded_scorecard_existing_reconciliation_audit_debt"
  runtime_broad_tests: ".tmp/testing-channel/reports/runtime-broad-tests-66327987-c1f4-4055-b54b-03c54b1aaf7d.json"
  frontend_component_spec: "passed 5/5 for admin-runtime-health-page.component.spec.ts"
  backend_projection_spec: "passed 16/16 for admin-runtime-health.service.spec.ts"

limitations:
  - "The requested full browser proof did not complete because the existing browser smoke failed on an invalidation-marker rendering assertion before reaching the normalized Live Work proof section."
  - "No screenshot artifact was emitted by the existing failed browser-smoke runner."
  - "This report is a fallback manual/component proof, not a replacement for a later clean browser proof."

next_actions:
  - "Fix or isolate the browser-smoke invalidation-marker assertion so the normalized Live Work proof block can run end-to-end."
  - "Keep chunk 000296 open until the operator accepts this fallback report or a clean browser proof is produced."
